Reference
Users
Get Current User Profile
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/users/me"{
"createdAt": "2019-08-24T14:15:22Z",
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"locale": "string",
"profilePictureUrl": "string",
"timezone": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List My Memberships
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/users/me/memberships"{
"items": [
{
"isCurrent": true,
"isDefault": true,
"membershipId": "string",
"organization": {
"id": "string",
"name": "string",
"slug": "string"
},
"role": "string"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Update Preferences
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
locale?|
timezone?|
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/users/me/preferences" \ -H "Content-Type: application/json" \ -d '{}'{
"createdAt": "2019-08-24T14:15:22Z",
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"locale": "string",
"profilePictureUrl": "string",
"timezone": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}